Phone Numbers
Set Routing Weights
Set A/B routing weights on a phone number.
PUT
/
v1
/
phone-numbers
/
{phone_number_id}
/
routing
Set Routing Weights
curl --request PUT \
--url https://api.example.com/v1/phone-numbers/{phone_number_id}/routing \
--header 'Content-Type: application/json' \
--data '
{
"weights": [
{
"agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"weight": 50
}
]
}
'import requests
url = "https://api.example.com/v1/phone-numbers/{phone_number_id}/routing"
payload = { "weights": [
{
"agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"weight": 50
}
] }
headers = {"Content-Type": "application/json"}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({weights: [{agent_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a', weight: 50}]})
};
fetch('https://api.example.com/v1/phone-numbers/{phone_number_id}/routing', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Headers
Path Parameters
Body
application/json
Request to set A/B routing weights on a phone number.
Required array length:
2 - 10 elementsShow child attributes
Show child attributes
Response
Successful Response
The response is of type Response Set Routing Weights V1 Phone Numbers Phone Number Id Routing Put · object.
Was this page helpful?
⌘I
Set Routing Weights
